## gnome-metronome 1.3.0

=== meson_options.txt ===
option(
  'profile',
  type: 'combo',
  choices: [
    'default',
    'development'
  ],
  value: 'default',
  description: 'The build profile for Metronome. One of "default" or "development".'
)

## gnome-metronome 0.1.1

=== debian/changelog ===
gnome-metronome (0.1.1-1) unstable; urgency=medium

  * Initial Debian release (Closes: #963799)

 -- Arnaud Ferraris <arnaud.ferraris@gmail.com>  Sat, 27 Jun 2020 14:18:20 +0200

=== debian/control ===
Source: gnome-metronome
Section: gnome
Priority: optional
Maintainer: Arnaud Ferraris <arnaud.ferraris@gmail.com>
Build-Depends:
 appstream-util,
 debhelper-compat (= 13),
 desktop-file-utils,
 libgtk-3-dev (>= 3.22.0),
 libgstreamer1.0-dev,
 libhandy-0.0-dev,
 gsettings-desktop-schemas-dev (>= 0.1.0),
 meson,
 valac,
Standards-Version: 4.5.0
Homepage: https://gitlab.gnome.org/jvieira.tpt/metronome
Vcs-Browser: https://salsa.debian.org/a-wai/gnome-metronome
Vcs-Git: https://salsa.debian.org/a-wai/gnome-metronome.git
Rules-Requires-Root: no

Package: gnome-metronome
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 gsettings-desktop-schemas (>= 0.1.0),
Description: Simple Metronome application for the GNOME desktop
 Metronome is a GNOME application to help you keep the tempo while practising
 your instrument.
 .
 Features:
   * Select the tempo by changing the beats per minute, or by tapping it
   * Select the time signature
   * Play the metronome

=== debian/tests/control ===
Test-Command: /usr/bin/gnome-metronome --help
Restrictions: superficial
Depends:
 gnome-metronome,
 xauth,
 xvfb

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/archive\/(\d\S+)\/metronome.*\.tar\.gz/metronome-$1\.tar\.gz/g \
  https://gitlab.gnome.org/jvieira.tpt/metronome/tags?sort=updated_desc .*/archive/(\d\S+)/.*\.tar\.gz.*

## gnome-metronome 1.3.0

=== debian/changelog ===
gnome-metronome (1.3.0-7) unstable; urgency=medium

  * Team uplaod
  * d/p/rust-gtk-0.9.patch: Update for newer libadwaita (Closes: #1084501)

 -- Matthias Geiger <werdahias@debian.org>  Wed, 09 Oct 2024 18:34:57 +0200

gnome-metronome (1.3.0-6) unstable; urgency=medium

  * Cherry-pick patches to update dependencies
  * Add patch to build with rust-gtk4 0.9
  * Update Build-Depends (Closes: #1089496, #1081753, #1081896)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 15 Sep 2024 17:17:32 -0400

gnome-metronome (1.3.0-5) unstable; urgency=medium

  * Update debian/watch
  * Bump Standards Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 29 May 2024 13:50:50 -0400

gnome-metronome (1.3.0-4) unstable; urgency=medium

  * autopkgtest: Avoid ZINK error
  * Remove reference to GNOME Circle from package description

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 14 May 2024 18:33:34 +0200

gnome-metronome (1.3.0-3) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 05 May 2024 08:36:53 -0400

gnome-metronome (1.3.0-2) experimental; urgency=medium

  * Add patch to build with GNOME 46 Rust crates
  * Update Build-Depends

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 20 Apr 2024 21:07:43 -0400

gnome-metronome (1.3.0-1) unstable; urgency=medium

  [ Jeremy Bícha ]
  * New upstream release
  * Update packaging for Rust and GTK4-based version (Closes: #993852)

  [ Arnaud Ferraris ]
  * d/control: update maintainership and VCS URLs.
    This package is moving under the GNOME team umbrella, so let's change
    the `Maintainer`, `Uploaders` and `Vcs-*` fields accordingly.
    While at it, bump `Standards-Version` as no other change is required.
  * d/copyright: rewrite for new upstream version
  * d/patches: update for gstreamer-play and relax dependencies
  * d/salsa-ci: disale blhc as it always fail with Rust packages
  * d/gbp.conf: switch debian branch to debian/latest
  * debian: drop useless manpage

 -- Arnaud Ferraris <aferraris@debian.org>  Wed, 25 Oct 2023 15:09:29 +0200

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,31 @@
 Source: gnome-metronome
 Section: gnome
 Priority: optional
-Maintainer: Arnaud Ferraris <arnaud.ferraris@gmail.com>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Jeremy Bícha <jbicha@ubuntu.com>,
+           Arnaud Ferraris <aferraris@debian.org>
 Build-Depends:
  appstream-util,
+ cargo,
  debhelper-compat (= 13),
  desktop-file-utils,
- libgtk-3-dev (>= 3.22.0),
+ libadwaita-1-dev,
+ libgtk-4-dev,
+ libgstreamer-plugins-bad1.0-dev,
  libgstreamer1.0-dev,
- libhandy-0.0-dev,
+ librust-gettext-rs-0+gettext-system-dev,
+ librust-gtk4-0.9+v4-12-dev,
+ librust-libadwaita-0.7+v1-5-dev,
+ librust-log-0-dev,
+ librust-pretty-env-logger-0.5-dev,
+ librust-gstreamer-play-0.23-dev,
  gsettings-desktop-schemas-dev (>= 0.1.0),
  meson,
- valac,
-Standards-Version: 4.5.0
-Homepage: https://gitlab.gnome.org/jvieira.tpt/metronome
-Vcs-Browser: https://salsa.debian.org/a-wai/gnome-metronome
-Vcs-Git: https://salsa.debian.org/a-wai/gnome-metronome.git
+ rustc,
+Standards-Version: 4.7.0
+Homepage: https://gitlab.gnome.org/World/metronome
+Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-metronome
+Vcs-Git: https://salsa.debian.org/gnome-team/gnome-metronome.git
 Rules-Requires-Root: no
 
 Package: gnome-metronome

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs

include /usr/share/dpkg/default.mk
include /usr/share/rustc/architecture.mk
export CARGO=/usr/share/cargo/bin/cargo
export CARGO_HOME=$(shell pwd)/debian/cargo_home
export CARGO_REGISTRY=$(shell pwd)/debian/cargo_registry
export DEB_CARGO_CRATE=$(DEB_SOURCE)_$(DEB_VERSION_UPSTREAM)
export DEB_HOST_RUST_TYPE

%:
	dh $@

execute_after_dh_auto_clean:
	$(CARGO) clean
	rm -rf $(CARGO_HOME)
	rm -rf $(CARGO_REGISTRY)

execute_before_dh_auto_configure:
	$(CARGO) prepare-debian $(CARGO_REGISTRY) --link-from-system
	rm -f Cargo.lock
	rm -f .cargo/config

=== debian/watch ===
version=4
opts="searchmode=plain" \
https://gitlab.gnome.org/World/metronome/tags?sort=updated_desc \
	-/archive/[\d.]+/metronome-@ANY_VERSION@@ARCHIVE_EXT@
